#
# spec file for package rusers (Version 0.17)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         rusers
Copyright:    BSD
Group:        Networking/Utilities
Requires:     netcfg
Provides:     nkitb:/usr/bin/rusers
Autoreqprov:  on
Version:      0.17
Release:      98
Summary:      who is logged in to machines on local network
BuildRoot:    /var/tmp/%{name}-build
Url:          ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/
Source:       netkit-rusers-%{version}.tar.bz2
Source1:      rusersd.init
Source2:      rc.config.rusersd
Patch:        netkit-rusers-%{version}.dif

%description
The rusers command produces output similar to who, but for the list of
hosts or all machines on the local network if there is a rusersd server
running on.

SuSE series: n

%package server
Summary:      Server for the rusers protocol
Group:        Networking/Daemons
Requires:     netcfg portmap
Provides:     nkitserv:/usr/sbin/rpc.rusersd
Autoreqprov:  on

%description server
rpc.rusersd is a server which returns information about users currently
logged in to the system. The currently logged in users are queried using
the rusers command.

SuSE series: n

%prep
%setup -n netkit-rusers-%{version}
%patch

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure
make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/usr/{bin,sbin}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man{1,8}
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
make install INSTALLROOT=$RPM_BUILD_ROOT
install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/rusersd
ln -sf ../../etc/init.d/rusersd $RPM_BUILD_ROOT/usr/sbin/rcrusersd
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/var/adm/fillup-templates/

%clean
rm -rf $RPM_BUILD_ROOT

%post server
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.rusersd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and /var/adm/fillup-templates/rc.config.rusersd"
fi
sbin/insserv etc/init.d/rusersd

%postun
sbin/insserv etc/init.d

%files
%defattr(-,root,root)
/usr/bin/rusers
%doc %{_mandir}/man1/*

%files server
%defattr(-,root,root)
%config /etc/init.d/rusersd
/usr/sbin/rcrusersd
%doc %{_mandir}/man8/*
/usr/sbin/rpc.rusersd
/var/adm/fillup-templates/rc.config.rusersd

%changelog -n rusers
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Fri Mar 16 2001 - cihlar@suse.cz
- added Url
- clean up spec file
* Wed Mar 07 2001 - kukuk@suse.de
- Split from nkitb
